View Issue Details

IDProjectCategoryLast Update
0019763AI War 2[All Projects] GUISep 5, 2019 12:12 pm
ReporterOvalcircleAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.750 My Friend The Marauder 
Fixed in Version 
Summary0019763: Part of a Faction tooltip gets glued to my cursor after trying to pick the Marauders
DescriptionIt makes it hard to click anything on the bottom of the screen in the lobby.

Edit. This isn't really tied to the Marauders. Just clicking around in the pop-up faction list will do it.
TagsNo tags attached.

Relationships

related to 0021300 assignedx4000Bughunter Infobox bugs out in the Factions screen 
child of 0020151 assignedx4000Bughunter Completely redo lobby (parent). 

Activities

Ovalcircle

Jul 13, 2018 11:05 pm

reporter  

AI War 2 Lobby Bug (1).jpg (180,867 bytes)
AI War 2 Lobby Bug (1).jpg (180,867 bytes)
AI War 2 Lobby Bug (3).jpg (213,430 bytes)
AI War 2 Lobby Bug (3).jpg (213,430 bytes)
AI War 2 Lobby Bug (2).jpg (201,937 bytes)
AI War 2 Lobby Bug (2).jpg (201,937 bytes)

Ovalcircle

Jul 14, 2018 12:20 am

reporter   ~0047867

It goes away when I choose another faction. I can then go and select the faction I originally wanted .It happens randomly, but I think I figured out how to do it. Bring up the faction list and start clicking factions in the popup really fast.

x4000Bughunter

Jul 14, 2018 8:14 am

administrator   ~0047875

I uploaded something wrong to Steam. It should download an update if you restart steam. Does it work after that? Apologies!

Ovalcircle

Jul 14, 2018 12:46 pm

reporter   ~0047891

This is still there.

x4000Bughunter

May 17, 2019 9:07 pm

administrator   ~0051684

Is this still here in BETA 0.860 or after?

Apthorpe

May 17, 2019 9:29 pm

reporter   ~0051686

Yes, I had the faction tooltip sometimes getting stuck on the cursor in setup for a 0.860 game I started today.

x4000Bughunter

May 17, 2019 10:37 pm

administrator   ~0051692

Blah, okay, good to know. Are there any particular conditions that seem to cause it? I have yet to witness this. What OS are you on?

Apthorpe

May 18, 2019 1:56 am

reporter   ~0051696

Sorry to be the bearer of bad news! :P

Using Windows 10. It's difficult to find the specific way to trigger this problem. One way I can get it semi-consistently is by picking Nanocaust and Macrophage and mousing over the options, then going back to pick other factions or change existing ones. It's finicky though.

BadgerBadger

May 18, 2019 9:17 pm

manager   ~0051698

I can reproduce this on Linux as well. I had 2 AIs enabled and turned on the Nanocaust in the first open faction slot. When I hover "Nanocaust" it gives me the hovertext beginning with "Enable a special faction". I then move the cursor down slightly to the next Faction slot (which currently reads "None", and the hovertext then gives me the description for Astro Trains. Moving the cursor around then keeps the Astro Trains hover text (at least when I move it to space on the screen without any other GUI elements).

x4000Bughunter

May 30, 2019 2:37 pm

administrator   ~0051752

Okay, is there any version of this that you can reproduce in the new versions? With the all-new lobby, the existing faction dropdown code is all gone and whole new buttons and mechanics are in place. So if this is still happening it's going to be different steps to repro at the very least. Knock on wood that it's fixed!

Issue History

Date Modified Username Field Change
Jul 13, 2018 11:05 pm Ovalcircle New Issue
Jul 13, 2018 11:05 pm Ovalcircle File Added: AI War 2 Lobby Bug (1).jpg
Jul 13, 2018 11:05 pm Ovalcircle File Added: AI War 2 Lobby Bug (2).jpg
Jul 13, 2018 11:05 pm Ovalcircle File Added: AI War 2 Lobby Bug (3).jpg
Jul 13, 2018 11:05 pm Ovalcircle Product Version => 0.750 My Friend The Marauder
Jul 13, 2018 11:05 pm Ovalcircle Summary PArt of a Faction tooltip gets gleud to my cursor after trying to pick the Marauders => Part of a Faction tooltip gets glued to my cursor after trying to pick the Marauders
Jul 14, 2018 12:20 am Ovalcircle Note Added: 0047867
Jul 14, 2018 8:14 am x4000Bughunter Assigned To => x4000Bughunter
Jul 14, 2018 8:14 am x4000Bughunter Status new => feedback
Jul 14, 2018 8:14 am x4000Bughunter Note Added: 0047875
Jul 14, 2018 12:46 pm Ovalcircle Note Added: 0047891
Jul 14, 2018 12:46 pm Ovalcircle Status feedback => assigned
Jul 14, 2018 1:22 pm Ovalcircle Description Updated View Revisions
Sep 5, 2018 8:13 pm x4000Bughunter Relationship added child of 0020151
May 17, 2019 9:07 pm x4000Bughunter Status assigned => feedback
May 17, 2019 9:07 pm x4000Bughunter Note Added: 0051684
May 17, 2019 9:29 pm Apthorpe Note Added: 0051686
May 17, 2019 10:37 pm x4000Bughunter Status feedback => assigned
May 17, 2019 10:37 pm x4000Bughunter Note Added: 0051692
May 18, 2019 1:56 am Apthorpe Note Added: 0051696
May 18, 2019 9:17 pm BadgerBadger Note Added: 0051698
May 30, 2019 2:37 pm x4000Bughunter Status assigned => feedback
May 30, 2019 2:37 pm x4000Bughunter Note Added: 0051752
Jun 21, 2019 10:11 am x4000Bughunter Relationship added related to 0021300
Sep 5, 2019 12:12 pm x4000Bughunter Status feedback => resolved
Sep 5, 2019 12:12 pm x4000Bughunter Resolution open => fixed